<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ssm.manage.mapper.ModifyRechargeRecordMapper">
  <resultMap id="BaseResultMap" type="com.ssm.manage.entity.ModifyRechargeRecord">
    <!--
      WARNING - @mbg.generated
    -->
    <id column="id" jdbcType="BIGINT" property="id" />
    <result column="doc_num" jdbcType="VARCHAR" property="docNum" />
    <result column="member_id" jdbcType="BIGINT" property="memberId" />
    <result column="member_name" jdbcType="VARCHAR" property="memberName" />
    <result column="card" jdbcType="VARCHAR" property="card" />
    <result column="recharge_num" jdbcType="VARCHAR" property="rechargeNum" />
    <result column="card_recharge_money" jdbcType="DECIMAL" property="cardRechargeMoney" />
    <result column="card_rest_money" jdbcType="DECIMAL" property="cardRestMoney" />
    <result column="last_consume_time" jdbcType="TIMESTAMP" property="lastConsumeTime" />
    <result column="recharge_type_id" jdbcType="BIGINT" property="rechargeTypeId" />
    <result column="recharge_type_name" jdbcType="VARCHAR" property="rechargeTypeName" />
    <result column="type" jdbcType="INTEGER" property="type" />
    <result column="discount" jdbcType="DECIMAL" property="discount" />
    <result column="card_gift_money" jdbcType="DECIMAL" property="cardGiftMoney" />
    <result column="store_id" jdbcType="BIGINT" property="storeId" />
    <result column="store_name" jdbcType="VARCHAR" property="storeName" />
    <result column="card_consume_money" jdbcType="DECIMAL" property="cardConsumeMoney" />
    <result column="gift_consume_money" jdbcType="DECIMAL" property="giftConsumeMoney" />
    <result column="state" jdbcType="INTEGER" property="state" />
    <result column="end_time" jdbcType="DATE" property="endTime" />
    <result column="update_by" jdbcType="VARCHAR" property="updateBy" />
    <result column="update_id" jdbcType="BIGINT" property="updateId" />
    <result column="update_time" jdbcType="TIMESTAMP" property="updateTime" />
    <result column="account_id" jdbcType="BIGINT" property="accountId" />
    <result column="modify_by" jdbcType="VARCHAR" property="modifyBy" />
    <result column="modify_id" jdbcType="BIGINT" property="modifyId" />
    <result column="modify_time" jdbcType="TIMESTAMP" property="modifyTime" />
    <result column="member_id_new" jdbcType="BIGINT" property="memberIdNew" />
    <result column="member_name_new" jdbcType="VARCHAR" property="memberNameNew" />
    <result column="card_new" jdbcType="VARCHAR" property="cardNew" />
    <result column="recharge_num_new" jdbcType="VARCHAR" property="rechargeNumNew" />
    <result column="card_recharge_money_new" jdbcType="DECIMAL" property="cardRechargeMoneyNew" />
    <result column="card_rest_money_new" jdbcType="DECIMAL" property="cardRestMoneyNew" />
    <result column="last_consume_time_new" jdbcType="TIMESTAMP" property="lastConsumeTimeNew" />
    <result column="recharge_type_id_new" jdbcType="BIGINT" property="rechargeTypeIdNew" />
    <result column="recharge_type_name_new" jdbcType="VARCHAR" property="rechargeTypeNameNew" />
    <result column="type_new" jdbcType="INTEGER" property="typeNew" />
    <result column="discount_new" jdbcType="DECIMAL" property="discountNew" />
    <result column="card_gift_money_new" jdbcType="DECIMAL" property="cardGiftMoneyNew" />
    <result column="store_id_new" jdbcType="BIGINT" property="storeIdNew" />
    <result column="store_name_new" jdbcType="VARCHAR" property="storeNameNew" />
    <result column="card_consume_money_new" jdbcType="DECIMAL" property="cardConsumeMoneyNew" />
    <result column="gift_consume_money_new" jdbcType="DECIMAL" property="giftConsumeMoneyNew" />
    <result column="state_new" jdbcType="INTEGER" property="stateNew" />
    <result column="end_time_new" jdbcType="DATE" property="endTimeNew" />
    <result column="update_by_new" jdbcType="VARCHAR" property="updateByNew" />
    <result column="update_id_new" jdbcType="BIGINT" property="updateIdNew" />
    <result column="update_time_new" jdbcType="TIMESTAMP" property="updateTimeNew" />
    <result column="account_id_new" jdbcType="BIGINT" property="accountIdNew" />
    <result column="card_rest_money_modify" jdbcType="DECIMAL" property="cardRestMoneyModify" />
    <result column="card_gift_money_modify" jdbcType="DECIMAL" property="cardGiftMoneyModify" />
    <result column="card_consume_money_modify" jdbcType="DECIMAL" property="cardConsumeMoneyModify" />
    <result column="gift_consume_money_modify" jdbcType="DECIMAL" property="giftConsumeMoneyModify" />
  </resultMap>
</mapper>